<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>DashBoard</title>

    <!-- Bootstrap core CSS -->
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <!-- Material Design Bootstrap -->
    <link href="css/mdb.min.css" rel="stylesheet">

    <link href="css/radios-to-slider.min.css" rel="stylesheet" />

    <!-- Your custom styles (optional) -->
    <link href="css/style.css" rel="stylesheet">
</head>

<body>

    <!--Double navigation navbar sticky-top navbar-expand-lg navbar-dark secondary-color-->
    <nav class="navbar font-weight-bold sticky-top navbar-expand-lg navbar-dark info-color">
        <a class="navbar-brand" href="#">Select Portfolio</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item dropdown active">
                    <a class="nav-link dropdown-toggle waves-effect waves-light" id="navbarDropdownMenuLink"
                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">Store front
                    </a>
                    <div class="dropdown-menu dropdown-info" aria-labelledby="navbarDropdownMenuLink">
                        <a class="dropdown-item waves-effect waves-light">Store front</a>
                        <a class="dropdown-item waves-effect waves-light">CDM&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</a>
                        <a class="dropdown-item waves-effect waves-light">DLP&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</a>
                    </div>
                </li>
            </ul>
            <ul class="navbar-nav mr-auto">
                <li class="nav-item linkdb active">
                    <a class="nav-link waves-effect waves-light">Portfolio Analysis</a>
                </li>
                <li class="nav-item linkdb">
                    <a class="nav-link waves-effect waves-light">PD Model Performance</a>
                </li>
                <li class="nav-item linkdb">
                    <a class="nav-link waves-effect waves-light">Credit Decision Strategies</a>
                </li>
                <li class="nav-item linkdb">
                    <a class="nav-link waves-effect waves-light">Stress Test Portfolio</a>
                </li>
            </ul>
        </div>
    </nav>
    <!--/.Double navigation-->

    <!--Main Layout-->

    <main>
        <div class="container-fluid">
            <div class="row" style="min-height: 1rem"></div>
            <div class="row" style="min-height: 580px">
                <div class="col-md-2">
                    <div class="divSegment">
                        <div>
                            <h5>Customer Segment</h5>
                        </div>
                        <div class="custom-control custom-radio">
                            <input type="radio" class="custom-control-input radios-segment" id="segment1" name="segments"
                                value="allcustomers" checked>
                            <label class="custom-control-label" for="segment1">All Customers</label>
                        </div>

                        <!-- Group of default radios - option 2 -->
                        <div class="custom-control custom-radio">
                            <input type="radio" class="custom-control-input radios-segment" id="segment2" value="newcustomers"
                                name="segments">
                            <label class="custom-control-label" for="segment2">New Customers</label>
                        </div>

                        <!-- Group of default radios - option 3 -->
                        <div class="custom-control custom-radio">
                            <input type="radio" class="custom-control-input radios-segment" id="segment3" value="existingcustomers"
                                name="segments">
                            <label class="custom-control-label" for="segment3">Existing Customers</label>
                        </div>
                        <div style="height:3rem ;">

                        </div>
                    </div>

                    <div class="list-group classDB1" id="list-chart" role="tablist">
                        <!-- <a class="list-group-item list-group-item-action active" id="list-home-list" data-toggle="list" href="#list-home" role="tab"
                            aria-controls="home">Financial Summary</a> -->
                        <a class="list-group-item list-group-item-action active" id="list-profile-list" data-toggle="list"
                            role="tab" aria-controls="profile">Loan
                            Group
                        </a>
                        <a class="list-group-item list-group-item-action" id="list-messages-list" data-toggle="list"
                            role="tab" aria-controls="messages">CR
                            Distribution
                        </a>
                        <a class="list-group-item list-group-item-action" id="list-settings-list" data-toggle="list"
                            role="tab" aria-controls="settings">Default
                            Pattern
                        </a>
                        <a class="list-group-item list-group-item-action" id="list-settings-list" data-toggle="list"
                            role="tab" aria-controls="settings">Default
                            Analysis Table</a>
                        <a class="list-group-item list-group-item-action" id="list-settings-list" data-toggle="list"
                            role="tab" aria-controls="settings">Rejection
                            Analysis
                        </a>
                        <a class="list-group-item list-group-item-action" id="list-settings-list" data-toggle="list"
                            role="tab" aria-controls="settings">Pre-Payment
                        </a>
                        <a class="list-group-item list-group-item-action" id="list-settings-list" data-toggle="list"
                            role="tab" aria-controls="settings">Collection
                        </a>

                        <a class="list-group-item list-group-item-action" id="list-settings-list" data-toggle="list"
                            role="tab" aria-controls="settings">Store Performace Analysis
                        </a>


                    </div>
                    <div class="list-group classDB3" id="list-chartDB3" role="tablist" style="display: none; padding-top: 2rem;">
                        <!-- <a class="list-group-item list-group-item-action active" id="list-home-list" data-toggle="list" href="#list-home" role="tab"
                            aria-controls="home">Financial Summary</a> -->
                        <a class="list-group-item list-group-item-action active" id="list-profile-list" data-toggle="list"
                            role="tab" aria-controls="profile">Current Strategy
                        </a>
                        <a class="list-group-item list-group-item-action" id="list-messages-list" data-toggle="list"
                            role="tab" aria-controls="messages">Extend Term
                        </a>
                        <a class="list-group-item list-group-item-action" id="list-settings-list" data-toggle="list"
                            role="tab" aria-controls="settings">Reduce Loan Amount
                        </a>
                        <a class="list-group-item list-group-item-action" id="list-settings-list" data-toggle="list"
                            role="tab" aria-controls="settings">Limit Shading</a>

                    </div>

                </div>

                <div class="col-md-3 classDB1">
                    <!--Table-->
                    <div class='table-responsive' style="margin-top: 40px;">
                        <!--Table-->
                        <!--Table-->
                        <div class="text-left" style="margin-bottom: 20px;     font-size: larger;font-weight: bold;">
                            FINANCIAL SUMMARY</div>


                        <table id="tablefs" class="table table-borderless table-sm">
                            <!--Table body-->
                            <tbody>
                                <tr>
                                    <th scope="row">Portfolio Value</th>
                                    <td id="fsportfoliovalue">0</td>
                                </tr>
                                <tr>
                                    <th scope="row">Number of Loans</th>
                                    <td id="fsnumberofloans">0</td>

                                </tr>
                                <tr>
                                    <th scope="row">Number of Default</th>
                                    <td id="fsnumberofdefault">0</td>
                                </tr>
                                <tr>
                                    <th scope="row">Default Rate</th>
                                    <td><span id="fsdefaultrate"></span> %</td>
                                </tr>
                                <tr>
                                    <th scope="row">NII (Good Loans)</th>
                                    <td id="fsniigoodloans">0</td>
                                </tr>
                                <tr>
                                    <th scope="row">NII ( Bad Loans)</th>
                                    <td id="fsniibadloans">0</td>
                                </tr>
                                <tr>
                                    <th scope="row">Total NII</th>
                                    <td id="fstotalnii">0</td>
                                </tr>
                                <tr>
                                    <th scope="row">Loan Loss</th>
                                    <td id="fsloanloss">0</td>
                                </tr>
                                <tr>
                                    <th scope="row">Profit to date</th>
                                    <td id="fsprofittodate">0</td>
                                </tr>
                            </tbody>
                            <!--Table body-->
                        </table>
                        <!--Table-->
                    </div>
                    <!--Table-->
                </div>
                <div class="col-md-7 classDB1" style="margin-top: 2rem;">
                    <div id="chartdivAM" style="width: 100%;height: 100%; "></div>
                    <div id="tableDetail" style="width: 100%;height: 100%; ">
                        <div class='table-responsive' style="margin-top: 4rem;">
                            <!--Table-->
                            <table class="table table-bordered table-hover" style="border: 1px solid #dee2e6;">

                                <thead>
                                    <tr>
                                        <th class="text-center">DEFAULT ANALYSIS</th>
                                        <th class="text-center">Default</th>
                                        <th class="text-center">Period 1</th>
                                        <th class="text-center">Period 2+</th>
                                        <th class="text-center">Prob <br> (First Period|Default)</th>
                                        <th class="text-center">Average Time to Default / Original Term</th>
                                    </tr>
                                </thead>
                                <!--Table head-->
                                <!--Table body-->
                                <tbody>
                                    <tr>
                                        <th scope="row">All Customer
                                        </th>
                                        <td class="text-center" id="allcustomer_default">0</td>
                                        <td class="text-center" id="allcustomer_period1">0</td>
                                        <td class="text-center" id="allcustomer_period2">0</td>
                                        <td class="text-center" id="allcustomer_probfirstperioddefault">0</td>
                                        <td class="text-center" id="allcustomer_averagetimetodefaultoriginalterm">0</td>
                                    </tr>
                                    <tr>
                                        <th scope="row"> New Customers
                                        </th>
                                        <td class="text-center" id="newcustomers_default">0</td>
                                        <td class="text-center" id="newcustomers_period1">0</td>
                                        <td class="text-center" id="newcustomers_period2">0</td>
                                        <td class="text-center" id="newcustomers_probfirstperioddefault">0</td>
                                        <td class="text-center" id="newcustomers_averagetimetodefaultoriginalterm">0</td>
                                    </tr>
                                    <tr>
                                        <th scope="row">
                                            Existing Customers</th>
                                        <td class="text-center" id="existingcustomers_default">0</td>
                                        <td class="text-center" id="existingcustomers_period1">0</td>
                                        <td class="text-center" id="existingcustomers_period2">0</td>
                                        <td class="text-center" id="existingcustomers_probfirstperioddefault">0</td>
                                        <td class="text-center" id="existingcustomers_averagetimetodefaultoriginalterm">0</td>
                                    </tr>
                                </tbody>
                                <!--Table body-->
                            </table>
                            <!--Table-->
                        </div>
                    </div>
                    <div id="chartdiv3d" style="width: 100%;height: 100%; "></div>
                    <div id="chartprepayment" style="width: 100%;height: 100%; display: none">
                        <div class="text-center">
                            <h3> UNDER CONSTRUCTION</h3>
                        </div>
                        <div class="row text-center" style=" display: flex;align-items: center;justify-content: center;">
                            <img src="./img/demoChart/chartprepayment.jpg" style="height: 500px;">
                        </div>
                    </div>
                    <div id="chartcollection" style="width: 100%;height: 100%; display: none">
                        <div class="text-center">
                            <h3> UNDER CONSTRUCTION</h3>
                        </div>
                        <div class="row text-center" style=" display: flex;align-items: center;justify-content: center;">
                            <img src="./img/demoChart/chartcollection.jpg" style="height: 500px;">
                        </div>
                    </div>
                    <div id="chartstoreperformaceanalysis" style="width: 100%;height: 100%; display: none">
                        <div class="text-center">
                            <h3> UNDER CONSTRUCTION</h3>
                        </div>
                        <div class="row text-center" style=" display: flex;align-items: center;justify-content: center;">
                            <img src="./img/demoChart/chartstoreperformaceanalysis.jpg" style="height: 500px;">
                        </div>
                    </div>

                </div>

                <div class="col-md-10 classDB2" style="display: none;">
                    <div class="row" style="min-height: 580px">
                        <div class="col-md-6">
                            <div id="chartdivAMDB2" style="width: 100%;height: 100%; border: 1px solid #dee2e6"></div>
                        </div>
                        <div class="col-md-6">
                            <div id="chartdivAM2DB2" style="width: 100%;height: 100%; border: 1px solid #dee2e6"></div>
                        </div>
                    </div>
                </div>

                <div class="col-md-10 classDB3" style="display: none;">
                    <div class="row" style="min-height: 460px; margin-bottom: 0.5rem">
                        <div class="col-md-6">
                            <div id="chartdivAMDB3" style="width: 100%;height: 100%; border: 1px solid #dee2e6"></div>
                        </div>
                        <div class="col-md-6" style="padding-left: 0px;">
                            <div id="chartdivAM2DB3" style="width: 100%;height: 100%; border: 1px solid #dee2e6"></div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <!--Table-->
                            <table id="tablePortfoliosize" class="table table-hover clasloanlimit" style="display: none;">
                                <!--Table head-->
                                <thead>
                                    <tr>
                                        <th style="border: none">
                                        </th>
                                        <th class="text-center">Portfolio size</th>
                                        <th class="text-center">Profit</th>

                                    </tr>
                                </thead>
                                <!--Table head-->
                                <!--Table body-->
                                <tbody>
                                    <tr>
                                        <th scope="row">Without Shading</th>
                                        <td class="text-center" id="portfolio_withoutshading">0</td>
                                        <td class="text-center" id="profit_withoutshading"> 0</td>

                                    </tr>
                                    <tr>
                                        <th scope="row">With Shading</th>
                                        <td class="text-center" id="portfolio_withshading">0</td>
                                        <td class="text-center" id="profit_withshading">0</td>

                                    </tr>

                                </tbody>
                                <!--Table body-->
                            </table>
                            <!--Table-->
                        </div>
                        <div class="col-md-6" style="min-height: 100px;">
                            <div class="row clasloanlimit" style="display: none;">
                                <div class="col-md-3">
                                    Shaded Limit
                                </div>
                                <div class="col-md-9">
                                    <form class="range-field">
                                        <input id="shadedlimit" class="border-0" type="range" value="2500" min="500"
                                            max="2500" />
                                    </form>
                                </div>
                            </div>
                            <div class="row clasloanlimit" style="display: none;">
                                <div class="col-md-3">
                                    Curve
                                </div>
                                <div class="col-md-9">
                                    <form class="range-field">
                                        <input id="curve" class="border-0" type="range" value="10" min="1" max="10" />
                                    </form>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-3">
                                    Size differential
                                </div>
                                <div class="col-md-9">
                                    <form class="range-field">
                                        <input id="sizedifferential" class="border-0" type="range" value="1" min="1"
                                            max="5" />
                                    </form>
                                </div>
                            </div>
                        </div>

                    </div>

                </div>

                <div class="col-md-10 classDB4" style="display: none;">

                    <div class="text-center">
                        <h1 style="font-weight: bold; padding-top: 2rem;"> UNDER CONSTRUCTION</h1>
                    </div>

                    <div class="row text-center" style=" display: flex;align-items: center;justify-content: center;">
                        <img src="./img/demoChart/Stress Test Portfolio.jpg" style="height: 500px;">
                    </div>

                </div>
            </div>
            <div class="row">
                <div class="col-md-2">

                </div>
                <div class="col-md-10">
                    <div class="row" style="height: 54px;">
                        <div class="col-md-11">
                            <div id="radios-time">
                                <input id="timejul2018" name="timeline" type="radio" value="jul2018" checked>
                                <label for="timejul2018">Jul 2018</label>
                                <input id="timeaug2018" name="timeline" type="radio" value="aug2018">
                                <label for="timeaug2018">Aug 2018</label>
                                <input id="timesep2018" name="timeline" type="radio" value="sep2018">
                                <label for="timesep2018">Sep 2018</label>
                                <input id="timeoct2018" name="timeline" type="radio" value="oct2018">
                                <label for="timeoct2018">Oct 2018</label>
                                <input id="timenov2018" name="timeline" type="radio" value="nov2018">
                                <label for="timenov2018">Nov 2018</label>
                                <input id="timedec2018" name="timeline" type="radio" value="dec2018">
                                <label for="timedec2018">Dec 2018</label>
                                <input id="timejan2019" name="timeline" type="radio" value="jan2019">
                                <label for="timejan2019">Jan 2019</label>
                                <input id="timefeb2019" name="timeline" type="radio" value="feb2019">
                                <label for="timefeb2019">Feb 2019</label>
                                <input id="timemar2019" name="timeline" type="radio" value="mar2019">
                                <label for="timemar2019">Mar 2019</label>
                                <input id="timeapr2019" name="timeline" type="radio" value="apr2019">
                                <label for="timeapr2019">Apr 2019</label>
                                <input id="timemay2019" name="timeline" type="radio" value="may2019">
                                <label for="timemay2019">May 2019</label>
                                <input id="timejul2019" name="timeline" type="radio" value="jul2019">
                                <label for="timejul2019">Jun 2019</label>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

        </div>

    </main>

    <!--Main Layout-->



    <!-- SCRIPTS -->
    <!-- JQuery -->
    <script type="text/javascript" src="js/jquery-3.3.1.min.js"></script>
    <script type="text/javascript" src="js/jquery.animateNumber.js"></script>

    <!-- Bootstrap tooltips -->
    <!-- <script type="text/javascript" src="js/popper.min.js"></script> -->
    <!-- Bootstrap core JavaScript -->
    <script type="text/javascript" src="js/bootstrap.min.js"></script>
    <!-- MDB core JavaScript -->
    <script type="text/javascript" src="js/mdb.min.js"></script>
    <script>
        var DATA = {};
        var chartAM;
        var legendAM;

        var currentDB;
        var currentChart;
        var currentTime;
        var currentSegment;

        var chartAMDB2;
        var chartAM2DB2;

        var chartAMDB3;
        var chartAM2DB3;

        var currentDataDB3;

    </script>
    <!-- <script type="text/javascript" src="js/plotly-latest.min.js"></script> -->
    <script src="js/d3.v3.js"></script>
    <script src="js/sankey.js"></script>
    <!-- <script type="text/javascript" src="pythonData/dataCreated/test0.js"></script>

    <script type="text/javascript" src="pythonData/dataCreated/test1.js"></script>

    <script type="text/javascript" src="pythonData/dataCreated/test2.js"></script> -->

    <script type="text/javascript" src="js/amcharts/amcharts.js"></script>
    <script type="text/javascript" src="js/amcharts/pie.js"></script>
    <script type="text/javascript" src="js/amcharts/serial.js"></script>
    <script type="text/javascript" src="js/amcharts/xy.js"></script>
    <script type="text/javascript" src="js/amcharts/plugins/animate/animate.min.js"></script>

    <script type="text/javascript" src="js/amcharts/themes/light.js"></script>
    <script src="js/jquery.radios-to-slider.js"></script>
    <script type="text/javascript" src="js/function/portfolio1.js"></script>
    <script type="text/javascript" src="js/dashboard.js"></script>


</body>

</html>